<?php
namespace App\Lidia\GetFonts;

class Response extends \App\Lidia\ResponseAbstract
{
	/**
	 * Stores the list of versions from LIDIA
	 * @var array
	 */
	protected $fonts = [];


	/**
	 * Adds a font to the fonts array.
	 *
	 * @param Array $fontArr The font array to be added.
	 */
	public function addFont(Array $fontArr)
	{
		$this->fonts[] = $fontArr;
	}

	/**
	 * Gets the fonts.
	 *
	 * @return array The fonts.
	 */
	public function getFonts()
	{
		return $this->fonts;
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Lidia\ResponseAbstract::doCheck()
	 */
	protected function doCheck(\App\MessagesCollector $msgs)
	{
	}
}
